From 68c4ea2d019f9b8af47926a67bed247ba22c8644 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 13 2016 19:18:51 +0000
Subject: [PATCH 248/1001] Merge #71 `Changed generator implementation to list in manage_subscription method`


---

diff --git a/hubs/widgets/subscriptions.py b/hubs/widgets/subscriptions.py
index db23691..395ee0c 100644
--- a/hubs/widgets/subscriptions.py
+++ b/hubs/widgets/subscriptions.py
@@ -53,10 +53,12 @@ def data(session, widget, username):
 
 # function hyperlinks the hubs in the subscription widget
 def manage_subscriptions(items):
-    for index, item in enumerate(items[0:3]):
-        link = '<a href="{link}">{item}</a>'.format(link=flask.url_for(
-            'hub', name=item), item=item)
-        yield link
+    return [
+        '<a href="{link}">{item}</a>'.format(
+            link=flask.url_for('hub', name=item),
+            item=item,
+        ) for index, item in enumerate(items[0:3])
+    ]
 
 
 def should_invalidate(message, session, widget):

